# Central

Central logging is a feature that allows you to use other products to send logs to a central location. This is useful for logging and analyzing logs from multiple sources.

This tag groups all operations for central.

## Retrieve all CentralLogging

> This endpoint enables retrieving all CentralLogging using\
> pagination and optional filters.<br>

```json
{"openapi":"3.0.3","info":{"title":"IONOS Logging Service REST API","version":"0.0.1"},"tags":[{"name":"Central","description":"Central logging is a feature that allows you to use other products to send logs to a central location. This is useful for logging and analyzing logs from multiple sources.\n\nThis tag groups all operations for central.\n"}],"servers":[{"url":"https://logging.de-fra.ionos.com","description":"service endpoint for location de-fra"},{"url":"https://logging.de-txl.ionos.com","description":"service endpoint for location de-txl"},{"url":"https://logging.es-vit.ionos.com","description":"service endpoint for location es-vit"},{"url":"https://logging.gb-bhx.ionos.com","description":"service endpoint for location gb-bhx"},{"url":"https://logging.gb-lhr.ionos.com","description":"service endpoint for location gb-lhr"},{"url":"https://logging.fr-par.ionos.com","description":"service endpoint for location fr-par"},{"url":"https://logging.us-mci.ionos.com","description":"service endpoint for location us-mci"},{"url":"https://logging.us-ewr.ionos.com","description":"service endpoint for location us-ewr"},{"url":"https://logging.us-las.ionos.com","description":"service endpoint for location us-las"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"schemas":{"CentralLoggingReadList":{"allOf":[{"type":"object","required":["id","type","href"],"properties":{"id":{"description":"ID of the list of CentralLogging resources.","type":"string","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["collection"]},"href":{"description":"The URL of the list of CentralLogging resources.","type":"string"},"items":{"description":"The list of CentralLogging resources.","type":"array","items":{"$ref":"#/components/schemas/CentralLoggingRead"}}}}]},"CentralLoggingRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the CentralLogging.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["centrallogging"]},"href":{"description":"The URL of the CentralLogging.","type":"string"},"metadata":{"$ref":"#/components/schemas/MetadataForCentralLogging"},"properties":{"$ref":"#/components/schemas/CentralLogging"}}},"MetadataForCentralLogging":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","required":["grafanaEndpoint"],"properties":{"grafanaEndpoint":{"type":"string","description":"The endpoint of the Grafana instance.\n","readOnly":true},"products":{"type":"array","items":{"type":"string"},"description":"Products with central logging enabled. This is a comma-separated list of product names.\n","readOnly":true}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"CentralLogging":{"type":"object","description":"Central logging is a feature that allows you to use other products to send logs to a central location. This is useful for logging and analyzing logs from multiple sources.\n","required":["enabled"],"properties":{"enabled":{"type":"boolean","description":"The status of the central logging. If `true`, the central logging is enabled. If `false`, the central logging is disabled.\n","default":false}}},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/central":{"get":{"operationId":"centralGet","summary":"Retrieve all CentralLogging","description":"This endpoint enables retrieving all CentralLogging using\npagination and optional filters.\n","parameters":[],"tags":["Central"],"responses":{"200":{"description":"Returned all requested CentralLogging successfully.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CentralLoggingReadList"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```

## Retrieve CentralLogging

> Returns the CentralLogging by ID.

```json
{"openapi":"3.0.3","info":{"title":"IONOS Logging Service REST API","version":"0.0.1"},"tags":[{"name":"Central","description":"Central logging is a feature that allows you to use other products to send logs to a central location. This is useful for logging and analyzing logs from multiple sources.\n\nThis tag groups all operations for central.\n"}],"servers":[{"url":"https://logging.de-fra.ionos.com","description":"service endpoint for location de-fra"},{"url":"https://logging.de-txl.ionos.com","description":"service endpoint for location de-txl"},{"url":"https://logging.es-vit.ionos.com","description":"service endpoint for location es-vit"},{"url":"https://logging.gb-bhx.ionos.com","description":"service endpoint for location gb-bhx"},{"url":"https://logging.gb-lhr.ionos.com","description":"service endpoint for location gb-lhr"},{"url":"https://logging.fr-par.ionos.com","description":"service endpoint for location fr-par"},{"url":"https://logging.us-mci.ionos.com","description":"service endpoint for location us-mci"},{"url":"https://logging.us-ewr.ionos.com","description":"service endpoint for location us-ewr"},{"url":"https://logging.us-las.ionos.com","description":"service endpoint for location us-las"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"schemas":{"CentralLoggingRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the CentralLogging.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["centrallogging"]},"href":{"description":"The URL of the CentralLogging.","type":"string"},"metadata":{"$ref":"#/components/schemas/MetadataForCentralLogging"},"properties":{"$ref":"#/components/schemas/CentralLogging"}}},"MetadataForCentralLogging":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","required":["grafanaEndpoint"],"properties":{"grafanaEndpoint":{"type":"string","description":"The endpoint of the Grafana instance.\n","readOnly":true},"products":{"type":"array","items":{"type":"string"},"description":"Products with central logging enabled. This is a comma-separated list of product names.\n","readOnly":true}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"CentralLogging":{"type":"object","description":"Central logging is a feature that allows you to use other products to send logs to a central location. This is useful for logging and analyzing logs from multiple sources.\n","required":["enabled"],"properties":{"enabled":{"type":"boolean","description":"The status of the central logging. If `true`, the central logging is enabled. If `false`, the central logging is disabled.\n","default":false}}},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"### Not Found\nThe resource that was requested could not be found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/central/{centralId}":{"get":{"operationId":"centralFindById","summary":"Retrieve CentralLogging","tags":["Central"],"description":"Returns the CentralLogging by ID.","parameters":[{"name":"centralId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the CentralLogging."}],"responses":{"200":{"description":"Getting CentralLogging was successful.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CentralLoggingRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```

## Ensure CentralLogging

> Ensures that the CentralLogging with the provided ID is created or modified.\
> The full CentralLogging needs to be provided to ensure\
> (either update or create) the CentralLogging. Non present data will\
> only be filled with defaults or left empty, but not take\
> previous values into consideration.<br>

```json
{"openapi":"3.0.3","info":{"title":"IONOS Logging Service REST API","version":"0.0.1"},"tags":[{"name":"Central","description":"Central logging is a feature that allows you to use other products to send logs to a central location. This is useful for logging and analyzing logs from multiple sources.\n\nThis tag groups all operations for central.\n"}],"servers":[{"url":"https://logging.de-fra.ionos.com","description":"service endpoint for location de-fra"},{"url":"https://logging.de-txl.ionos.com","description":"service endpoint for location de-txl"},{"url":"https://logging.es-vit.ionos.com","description":"service endpoint for location es-vit"},{"url":"https://logging.gb-bhx.ionos.com","description":"service endpoint for location gb-bhx"},{"url":"https://logging.gb-lhr.ionos.com","description":"service endpoint for location gb-lhr"},{"url":"https://logging.fr-par.ionos.com","description":"service endpoint for location fr-par"},{"url":"https://logging.us-mci.ionos.com","description":"service endpoint for location us-mci"},{"url":"https://logging.us-ewr.ionos.com","description":"service endpoint for location us-ewr"},{"url":"https://logging.us-las.ionos.com","description":"service endpoint for location us-las"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"schemas":{"CentralLoggingEnsure":{"type":"object","required":["properties"],"properties":{"metadata":{"description":"Metadata","additionalProperties":true},"properties":{"$ref":"#/components/schemas/CentralLogging"}}},"CentralLogging":{"type":"object","description":"Central logging is a feature that allows you to use other products to send logs to a central location. This is useful for logging and analyzing logs from multiple sources.\n","required":["enabled"],"properties":{"enabled":{"type":"boolean","description":"The status of the central logging. If `true`, the central logging is enabled. If `false`, the central logging is disabled.\n","default":false}}},"CentralLoggingRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the CentralLogging.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["centrallogging"]},"href":{"description":"The URL of the CentralLogging.","type":"string"},"metadata":{"$ref":"#/components/schemas/MetadataForCentralLogging"},"properties":{"$ref":"#/components/schemas/CentralLogging"}}},"MetadataForCentralLogging":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","required":["grafanaEndpoint"],"properties":{"grafanaEndpoint":{"type":"string","description":"The endpoint of the Grafana instance.\n","readOnly":true},"products":{"type":"array","items":{"type":"string"},"description":"Products with central logging enabled. This is a comma-separated list of product names.\n","readOnly":true}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"### Not Found\nThe resource that was requested could not be found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Conflict":{"description":"### Conflict\nThe UUID is already taken by another party, follow the guides to generate UUIDs uniquely.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnsupportedMediaType":{"description":"### Unsupported Media Type\nThe request has an unsupported media type.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnprocessableEntity":{"description":"### Unprocessable Entity\nThe request was well-formed but was unable to be followed due to semantic errors.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/central/{centralId}":{"put":{"operationId":"centralPut","summary":"Ensure CentralLogging","tags":["Central"],"description":"Ensures that the CentralLogging with the provided ID is created or modified.\nThe full CentralLogging needs to be provided to ensure\n(either update or create) the CentralLogging. Non present data will\nonly be filled with defaults or left empty, but not take\nprevious values into consideration.\n","parameters":[{"name":"centralId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the CentralLogging."}],"requestBody":{"description":"update CentralLogging","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CentralLoggingEnsure"}}}},"responses":{"200":{"description":"CentralLogging successfully updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CentralLoggingRead"}}}},"201":{"description":"CentralLogging successfully ensured.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CentralLoggingRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"415":{"$ref":"#/components/responses/UnsupportedMediaType"},"422":{"$ref":"#/components/responses/UnprocessableEntity"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```
